Subject: Re: [PATCH 2/3] powerpc: Instrument Hypervisor Calls: add wrappers

From: Nathan Lynch <[email-masked]>
Date: Sat, 15 Jul 2006 03:03:02 -0500

Mike Kravetz wrote:
> On Fri, Jul 14, 2006 at 07:15:45PM -0500, Nathan Lynch wrote:
> > Hmm, isn't it possible that the stats could be corrupted if we process
> > an interrupt/softirq which does an hcall while the stats are being
> > updated?  Maybe it's not a show-stopper, but it seems to me that
> > accuracy could suffer under some workloads.
> 
> Yes, they can become inaccurate.  Is this what you mean by 'corrupted' or
> you thinking of something worse?

Yes, "corrupted" was perhaps too strong, but we could lose the
accounting for hcalls from interrupts that we take at exactly the
wrong time.  I guess it's a pretty tiny risk.

I just wanted to make sure this had been considered, but if you're
comfortable with the overhead/accuracy tradeoff, then okay.